
# features

* register
* list
* filter
* stats panel
* stats collector
  * failure counter


# MVP

- [x] chore: data model
- [x] data migration scripts
- [ ] homepage
  - [x] form to register an instance
    - [ ] check for duplicates
    - [ ] grab first stats : version, users, groups, events
      - [ ] if fail, set failure to 1
      - [ ] confirmation page
  - [x] instances list, no pagination
  - [ ] abuse link
- [ ] cron
  - [ ] select instances where failure < max_failure
  - [ ] for each entry, fetch stats
      - [ ] if fail, set failure to failure+1
      - [ ] if success, set failure = 0
- [ ] stats page
  - [x] big numbers
    - [x] total Instances
    - [x] total Users
    - [x] total Groups
    - [x] total Events
  - [x] over time
    - [x] instances over time area chart
    - [x] users over time area chart
    - [x] events over time area chart
    - [x] groups over time area chart
  - [ ] repartition
    - [ ] versions pie chart
    - [ ] languages pie chart (user weighted ?)
    - [ ] location pie chart


# impl

## stack

1) sqlpage

* webapp: sqlpage
* cron : ?

2) python web framework

django / flask / microdot / webpy


